# class Gem::Resolver::Stats

### Constants

PATTERN

### Public Class Methods

new ()
Source

    # File lib/rubygems/resolver/stats.rb, line 4
    def initialize
      @max_depth = 0
      @max_requirements = 0
      @requirements = 0
      @backtracking = 0
      @iterations = 0
    end

### Public Instance Methods

backtracking! ()
Source

    # File lib/rubygems/resolver/stats.rb, line 28
    def backtracking!
      @backtracking += 1
    end

display ()
Source

    # File lib/rubygems/resolver/stats.rb, line 38
    def display
      $stdout.puts "=== Resolver Statistics ==="
      $stdout.printf PATTERN, "Max Depth", @max_depth
      $stdout.printf PATTERN, "Total Requirements", @requirements
      $stdout.printf PATTERN, "Max Requirements", @max_requirements
      $stdout.printf PATTERN, "Backtracking #", @backtracking
      $stdout.printf PATTERN, "Iteration #", @iterations
    end

iteration! ()
Source

    # File lib/rubygems/resolver/stats.rb, line 32
    def iteration!
      @iterations += 1
    end

record_depth (stack)
Source

    # File lib/rubygems/resolver/stats.rb, line 12
    def record_depth(stack)
      if stack.size > @max_depth
        @max_depth = stack.size
      end
    end

record_requirements (reqs)
Source

    # File lib/rubygems/resolver/stats.rb, line 18
    def record_requirements(reqs)
      if reqs.size > @max_requirements
        @max_requirements = reqs.size
      end
    end

requirement! ()
Source

    # File lib/rubygems/resolver/stats.rb, line 24
    def requirement!
      @requirements += 1
    end